!Offtopus, offline-octopus

!!Goal
Provide a way to connect local machines to work and tinker with efficiently, building prototypes with resilience in mind.

!!How does it work
It provides a Web server with endpoints for different functions, including listing machines joining that network, make functions available to that new network of machines, sharing files, etc. Note that the point is to build on top of it, consequently functions as endpoints here are solely examples.

!!How to install
# clone repository
# install dependancies (no package.json yet) but mostly express missing, i.e `npm i express`
# run e.g `node .`
# connect to it locally first, e.g https://localhost:8082 (assumes existing SSL certificates) or https://localhost:8082/routes

Note that the cloudinit file is an example on a brand new machine.

!!!tested on
- Linux machines, e.g Ubuntu on desktop, RPi Zero
- Android devices using Termux, e.g Quest 1
- iOS via iSH
Most likely partially works on Windows with Linux subsystem. System commands, e.g shutdown, xrandr, etc must be adapted.

!!!Developing and debugging
- See the console REPL, starting with help()
- see `/routes/json` to connect to all services

!!Digging deeper

For an hour long video see https://video.benetou.fr/w/aR81WVHg6H3E93GPG4jYUg

!!!Inspiration
- Xerox park paper on services making themselves available, coauthor including Trevor F Smith
